Page MenuHomePhabricator

Can't paste article title in Safari
Closed, ResolvedPublic8 Story Points

Description

Steps to be unhappy:

  1. Open page in VisualEditor's wikitext mode.
  2. Copy page title from another page.
  3. Paste.
  4. See incongruous rich-text h1 header.
  5. Save page.
  6. See nothing.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (f1ed206)
VisualEditor/VisualEditor : masterCheck dataTransfer.items exists before iterating

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptJan 20 2017, 5:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Works fine for me in Chrome & Firefox.

I can reproduce it consistently in Safari 10. (In step 2, I'm triple-clicking the title. Perhaps that matters?)

I can reproduce in Firefox, both with h1s from other wiki pages, and with the h4 from https://jquery.com/upgrade-guide/3.0/#deprecated-document-ready-handlers-other-than-jquery-function. The headline is inserted as HTML, but not recognized by the editor, neither does it enable the "Save" button, nor can it be undone (if it wasn't the first change, "undo" will undo the change before pasting). Ctrl-Shift-V works fine.

@Schnark Tested the example you gave in Firefox, I get 'link Deprecated: document-ready handlers other than <code>jQuery(function)</code>' in the editor. Do you get an errors in the console?

I see an exception in Safari. Worryingly it isn't limited to NWE - bumping priority.

Esanders triaged this task as High priority.Jan 21 2017, 5:57 PM
Esanders raised the priority of this task from High to Unbreak Now!.Jan 21 2017, 5:59 PM
Restricted Application added subscribers: Jay8g, TerraCodes. · View Herald TranscriptJan 21 2017, 5:59 PM

All paste broken in Safari - raising again.

Change 333359 had a related patch set uploaded (by Esanders):
Check dataTransfer.items exists before iterating

https://gerrit.wikimedia.org/r/333359

Elitre added a subscriber: Elitre.Jan 24 2017, 10:36 AM

Change 333359 merged by jenkins-bot:
Check dataTransfer.items exists before iterating

https://gerrit.wikimedia.org/r/333359

Change 334089 had a related patch set uploaded (by Jforrester):
Update VE core submodule to master (f1ed206)

https://gerrit.wikimedia.org/r/334089

Change 334089 merged by jenkins-bot:
Update VE core submodule to master (f1ed206)

https://gerrit.wikimedia.org/r/334089

Jdforrester-WMF renamed this task from Can't paste article title to Can't paste article title in Safari.Jan 25 2017, 1:47 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.